SNMPTRAP(1)

NAME
snmptrap, snmpinform - sends an SNMP notification to a manager

SYNOPSIS
snmptrap -v 1 [COMMON OPTIONS] AGENT enterprise-oid agent generic-trap specific-trap uptime [OID TYPE VALUE]...

snmptrap -v [2c|3] [COMMON OPTIONS] [-Ci] AGENT uptime trap-oid [OID TYPE VALUE]...

snmpinform -v [2c|3] [COMMON OPTIONS] AGENT uptime trap-oid [OID TYPE VALUE]...

DESCRIPTION
snmptrap is an SNMP application that uses the SNMP TRAP operation to send information to a network manager. One or more object identifiers (OIDs) can be given as arguments on the command line. A type and a value must accompany each object identifier. Each variable name is given in the format specified in variables(5).

When invoked as snmpinform, or when -Ci is added to the command line flags of snmptrap, it sends an INFORM-PDU, expecting a response from the trap receiver, retransmitting if required. Otherwise it sends an TRAP-PDU or TRAP2-PDU.

If any of the required version 1 parameters, enterprise-oid, agent, and uptime are specified as empty, it defaults to 1.3.6.1.4.1.3.1.1 (enterprises.cmu.1.1), hostname, and host-uptime respectively.

The TYPE is a single character, one of:
    i   INTEGER
    u   UNSIGNED
    c   COUNTER32
    s   STRING
    x   HEX STRING
    d   DECIMAL STRING
    n   NULLOBJ
    o   OBJID
    t   TIMETICKS
    a   IPADDRESS
    b   BITS
which are handled in the same way as the snmpset command.

For example:

snmptrap -v 1 -c public manager enterprises.spider test-hub 3 0 '' interfaces.iftable.ifentry.ifindex.1 i 1

will send a generic linkUp trap to manager, for interface 1.

OPTIONS
snmptrap takes the common options described in the snmpcmd(1) manual page in addition to the -Ci option described above. Note that snmptrap REQUIRES an argument specifying the agent to query as described there.

SEE ALSO
snmpcmd(1), snmpset(1), variables(5).